Subject: Re: bug#7350: 24.0.50; make vc-deduce-backend smarter

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Nov 2010 15:03:16 -0500

>    I notice that vc-root-diff only works if the current buffer is
> visiting a version-controlled file, and in certain other buffer modes.
> In particular, it works in dired-mode, where it uses the
> default-directory, but not in shell-mode, which is not one of the
> explicit special cases.

Could you give an example use-case where you'd want vc-deduce-backend to
be run in a shell-mode buffer?

        Stefan